%define cvsdate 20061030

Summary: Development and debugging tools for Tcl applications
Name: tclpro
Version: 1.5.0
Release: 6.%{cvsdate}cvs%{?dist}
License: BSD
Group: Development/Tools
# cvs -d:pserver:anonymous@tclpro.cvs.sourceforge.net:/cvsroot/tclpro export -D 2006-10-30 -d tclpro-20061030cvs tbcload
# tar czf tclpro-20061030cvs.tgz ./tclpro-20061030cvs
Source0: tclpro-%{cvsdate}cvs.tgz
Source1: tclpro.desktop
Source2: prodebug.png
Source3: procomp_pkgIndex.tcl
Patch0: tclpro-projectInfo.patch
Patch1: tclpro-checker-startup.patch
Patch2: tclpro-compiler-startup.patch
Patch3: tclpro-compiler-package.patch
Patch4: tclpro-1.5.0-tclm4cvs.patch
Patch5: tclpro-1.5.0-about.patch
Patch6: tclpro-1.5.0-helpurl.patch
URL: http://tclpro.sourceforge.net/
Requires: tk >= 0:8.3.2 tcllib tclcompiler tcldebugger tclchecker
BuildRequires: tcl-devel autoconf
BuildRequires: desktop-file-utils
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
The TclPro tool set includes a graphical debugger, a static code checker,
a compiler that writes out Tcl byte codes, and a loader that reads
byte codes.

%prep
%setup -q -n %{name}-%{cvsdate}cvs
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6

for i in debugger checker projectInfo compiler ; do 
    pushd modules/$i
    autoconf
    popd
done

%build
pushd modules/projectInfo
%configure
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd modules/projectInfo
make install DESTDIR=$RPM_BUILD_ROOT
popd
mkdir -p $RPM_BUILD_ROOT%{_bindir}
sed -e 's#@imagedir@#%{_datadir}/tcldebugger1.4#' < modules/debugger/src/startup.tcl > $RPM_BUILD_ROOT/%{_bindir}/prodebug
chmod 755 $RPM_BUILD_ROOT/%{_bindir}/prodebug
install -m 755 modules/checker/src/startup.tcl $RPM_BUILD_ROOT/%{_bindir}/procheck
install -m 755 modules/compiler/src/startup.tcl $RPM_BUILD_ROOT/%{_bindir}/procompile

# The Tcl compiler application needs an extra file/package to run.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/procomp1.5
install -m 644 %{SOURCE3} modules/compiler/src/procomp.tcl $RPM_BUILD_ROOT/%{_datadir}/procomp1.5/

# Fix a few file permissions for rpmlint
chmod a-x $RPM_BUILD_ROOT%{_datadir}/projectInfo1.4/*.tcl


desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog
%defattr(-,root,root)
%{_bindir}/procheck
%{_bindir}/prodebug
%{_bindir}/procompile
%{_datadir}/procomp1.5
%{_datadir}/projectInfo1.4
%{_datadir}/applications/fedora-tclpro.desktop
%{_datadir}/pixmaps/prodebug.png

%changelog
* Tue Oct 31 2006 Wart <wart at kobold.org> 1.5.0-6.20061030cvs
- Initial package for Fedora

* Mon Jul 10 2006 Wart <wart at kobold.org> 1.5.0-5.1
- Clean up a few rpmlint warnings

* Tue Mar 28 2006 Wart <wart at kobold.org> 1.5.0-5
- Update tcl.m4 to fix quoting bug exposed in Fedora Core 5

* Mon Dec 5 2005 Wart <wart at kobold.org> 1.5.0-3
- Replace older tk* commands with proper tk::* namespaced commands.

* Mon Nov 28 2005 Wart <wart at kobold.org> 1.5.0-2
- Added the TclPro compiler.

* Sun Nov 27 2005 Wart <wart at kobold.org> 1.5.0-1
- Initial spec file.
